Download it now!
Bug 38011 - [UI] Object with no left spacing gives wrong behavior when exit
Summary: [UI] Object with no left spacing gives wrong behavior when exit
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object-Selection-Alignment
  Show dependency treegraph
 
Reported: 2011-06-06 14:12 UTC by Laurent BP
Modified: 2019-09-30 02:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2011-06-06 14:12:12 UTC
Hello,

To reproduce:
- create new text document
- type some text (there is no problem if object sticks the left margin, with left or justified alignment)
- Insert > Object > Formula
- type a formula
- Escape, Escape
=> If you let default Formula style, with left spacing of 2mm, your cursor is AFTER the formula, and you can continue typing easily. :)
- modify Formula wrapping with no left spacing:
  - right click on formula > Object
  - Tab: Wrap; Spacing, Left = 0; OK
- double click to open the formula
- exit the formula with twice Escape
=> cursor is BEFORE the formula, so you need to move the cursor to continue typing. :(

An easy workaround is to decrease left spacing down to 0.1mm to get the right behavior (cursor after).

I do not like to have extra spacing of my formulas inside text, but I like typing twice Escape to continue typing.
The problem is the same with an OLE object (anchor as character).
The problem is very old (OOo 1.1.5).
No problem with right spacing.
Tested on WinXP.
Comment 1 Björn Michaelsen 2011-12-23 12:22:20 UTC Comment hidden (obsolete)
Comment 2 Laurent BP 2011-12-26 23:46:45 UTC
Hello,

I can reproduce the bug with LibO 3.5b2
Comment 3 A (Andy) 2013-05-01 07:04:22 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Note: It is important that you insert the formula directly after a typed text.  If you insert any text and make a line break and insert the formula into a new empty line, then it is there not reproducible.
Comment 4 A (Andy) 2013-05-01 07:12:47 UTC
I tested it further and recognized, that the last two steps: 
"- double click to open the formula
- exit the formula with twice Escape"
are not necessary to reproduce it.

This behavior happens right after changing the left spacing.  After changing the spacing and pressing OK, press once the Escape key and the cursor will be before the formula if there is any text in this line before the formula.
Comment 5 QA Administrators 2015-03-04 02:22:58 UTC Comment hidden (obsolete)
Comment 6 Laurent BP 2015-03-04 09:43:29 UTC
Reproduce on Win7 with:
- Version: 4.3.6.2
Build ID: d50a87b2e514536ed401c18000dad4660b6a169e
- Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale : fr_FR
- Version: 4.5.0.0.alpha0+
Build ID: 24a89b277208d8f3fa7987f5fe76a02286bbff25
TinderBox: Win-x86@42, Branch:master, Time: 2015-03-03_07:55:00
Locale: fr_FR
Comment 7 tommy27 2016-04-16 07:23:49 UTC Comment hidden (obsolete)
Comment 8 Laurent BP 2016-04-16 12:09:06 UTC
Confirmed with:
- Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)

- Version: 5.2.0.0.alpha0+ (x64)
Build ID: 042f16a19e3d5f884759dae71264433b988df0e6
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-03-16_10:03:38
Locale: fr-FR (fr_FR)
Comment 9 QA Administrators 2017-05-22 13:24:03 UTC Comment hidden (obsolete)
Comment 10 Laurent BP 2017-05-22 20:20:04 UTC
Confirmed with:
- Version: 5.3.2.2 (x64)
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: group

- Version: 5.4.0.0.alpha1+
Build ID: d33e262a244f351febc9dbe605b05f76cb834eeb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-08_00:26:09
Locale: fr-FR (fr_FR); Calc: CL
Comment 11 QA Administrators 2018-05-23 02:37:03 UTC Comment hidden (obsolete)
Comment 12 Laurent BP 2018-05-23 14:07:27 UTC
Confirmed with Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
Comment 13 QA Administrators 2019-09-30 02:51:44 UTC
Dear Laurent BP,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug